package com.iamberry.wechat.core.entity.cart;

import java.io.Serializable;
import java.util.Date;

/**
 * 赠送礼物信息表
 * @author 刘志伟
 *
 */
public class UserGiftDto  implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1405038652823092989L;
	
	private Integer userId;						//id
	
	private Integer userProductId;			//产品id
	
	private Integer userGiftId;				//赠送礼品id
	
	private Integer userGiftColor;			//礼品颜色id
	
	private Integer userColorId;				//赠送商品颜色id
	
	private Integer userLevel;				//会员等级
	
	private Integer userDiscount;			//优惠价
	
	private Integer userGiftCount;			//礼品数量
	
	private Integer userStatus;				//状态 1：在用，0：禁用
	
	private Date userCreateTime;			//创建时间

	public Integer getUserGiftColor() {
		return userGiftColor;
	}

	public void setUserGiftColor(Integer userGiftColor) {
		this.userGiftColor = userGiftColor;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public Integer getUserProductId() {
		return userProductId;
	}

	public void setUserProductId(Integer userProductId) {
		this.userProductId = userProductId;
	}

	public Integer getUserGiftId() {
		return userGiftId;
	}

	public void setUserGiftId(Integer userGiftId) {
		this.userGiftId = userGiftId;
	}

	public Integer getUserLevel() {
		return userLevel;
	}

	public void setUserLevel(Integer userLevel) {
		this.userLevel = userLevel;
	}

	public Integer getUserDiscount() {
		return userDiscount;
	}

	public void setUserDiscount(Integer userDiscount) {
		this.userDiscount = userDiscount;
	}

	public Integer getUserGiftCount() {
		return userGiftCount;
	}

	public void setUserGiftCount(Integer userGiftCount) {
		this.userGiftCount = userGiftCount;
	}

	public Integer getUserStatus() {
		return userStatus;
	}

	public void setUserStatus(Integer userStatus) {
		this.userStatus = userStatus;
	}

	public Date getUserCreateTime() {
		return userCreateTime;
	}

	public void setUserCreateTime(Date userCreateTime) {
		this.userCreateTime = userCreateTime;
	}

	public Integer getUserColorId() {
		return userColorId;
	}

	public void setUserColorId(Integer userColorId) {
		this.userColorId = userColorId;
	}

}
